# $Revision: 1.39 $, $Date: 2008/07/05 14:55:21 $
Summary:	Powerful administration and development platform for the PostgreSQL
Summary(pl.UTF-8):	Potężna platforma do administrowania i programowania bazy PostgreSQL
Name:		pgadmin3
Version:	1.8.4
Release:	1
Epoch:		0
License:	Artistic
Group:		Applications/Databases
Source0:	ftp://ftp6.pl.postgresql.org/pub/postgresql/pgadmin3/release/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	12fc6027f651788615a7fa1c6ddbcdb3
Source1:	%{name}.desktop
Patch0:		%{name}-m4.patch
URL:		http://www.pgadmin.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libxml2-devel >= 2.6.18
BuildRequires:	libxslt-devel >= 1.1
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel >= 8.3.0
BuildRequires:	postgresql-backend-devel >= 8.3.0
BuildRequires:	wxGTK2-unicode-gl-devel >= 2.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pgmoduledir		%{_libdir}/postgresql

%description
pgAdmin III is designed to answer the needs of all users, from writing
simple SQL queries to developing complex databases. The graphical
interface supports all PostgreSQL features and makes administration
easy. The application also includes a query builder, an SQL editor, a
server-side code editor and much more. pgAdmin III is released with an
installer and does not require any additional driver to communicate
with the database server.

%description -l pl.UTF-8
pgAdmin III został zaprojektowany jako odpowiedź na potrzeby
wszystkich użytkowników, od pisania prostych zapytań SQL do tworzenia
skomplikowanych baz danych. Graficzny interfejs obsługuje wszystkie
możliwości PostgreSQL-a i ułatwia administrowanie. Aplikacja zawiera
także narzędzie do budowania zapytań, edytor SQL, edytor kodu po
stronie serwera i wiele więcej. pgAdmin III został wydany z
instalatorem i nie wymaga żadnego dodatkowego sterownika do
komunikowania z serwerem baz danych.

%package -n postgresql-module-pgadmin3
Summary:	Full instrumentation when using PgAdmin
Summary(pl.UTF-8):	Pełna obsługa dla funkcjonalności PgAdmina
Group:		Applications/Databases
Requires:	postgresql >= 8.1

%description -n postgresql-module-pgadmin3
Module which implements a number of support functions which PgAdmin
will use to provide additional functionality if installed on a server.

%description -n postgresql-module-pgadmin3 -l pl.UTF-8
Ten moduł implementuje wiele funkcji pomocniczych, które używa PgAdmin
do zapewnienia dodatkowej funkcjonalności.

%prep
%setup -q
%patch0 -p1

%build
rm -f config/*
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-wx-config="%{_bindir}/wx-gtk2-unicode-config" \
	--with-wx-version="2.8"
%{__make}

sed 's#MODULE_PATHNAME#%{_pgmoduledir}/admin81#g' xtra/admin81/admin81.sql.in > xtra/admin81/admin81.sql
sed -i -e 's#DLLIMPORT#PGDLLIMPORT#g' xtra/admin81/admin81.c
%{__cc} %{rpmcflags} -fpic -I. -I%{_includedir}/postgresql/server -c -o xtra/admin81/admin81.o xtra/admin81/admin81.c -MMD
%{__cc} -shared %{rpmldflags} -o xtra/admin81/admin81.so xtra/admin81/admin81.o

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_pgmoduledir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install pkg/debian/pgadmin3.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/pgadmin3.xpm

install xtra/admin81/admin81.so $RPM_BUILD_ROOT%{_pgmoduledir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/pgadmin3.desktop
%{_pixmapsdir}/pgadmin3.xpm

%files -n postgresql-module-pgadmin3
%defattr(644,root,root,755)
%doc xtra/admin81/README* xtra/admin81/*.sql
%attr(755,root,root) %{_pgmoduledir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pgadmin3.spec,v $
Revision 1.39  2008/07/05 14:55:21  arekm
- up to 1.8.4

Revision 1.38  2008-02-19 21:08:26  arekm
- up to 1.8.2

Revision 1.37  2008-01-06 13:40:30  arekm
- up to 1.8.1

Revision 1.36  2007/10/25 19:22:03  qboosh
- simplified setup

Revision 1.35  2007/10/25 19:13:01  zawadaa
- final 1.8

Revision 1.34  2007/10/08 12:25:53  beorn
- Fixed BR

Revision 1.33  2007/10/08 12:24:10  beorn
- Fixed BR

Revision 1.32  2007/09/11 18:59:36  arekm
- up to beta5

Revision 1.31  2007/09/06 09:29:33  arekm
- up to beta4

Revision 1.30  2007/08/28 11:13:59  arekm
- up to 1.8.0b3

Revision 1.29  2007/03/30 12:01:30  zawadaa
- up to 1.6.3

Revision 1.28  2007/02/15 22:15:38  zawadaa
- up to 1.6.2

Revision 1.27  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.25  2006/12/22 01:15:14  shadzik
- re-add epoch 0
- rel 1 (now for sure)

Revision 1.24  2006/12/22 01:06:25  shadzik
- remove Epoch 0
- rel 1
- STBR to Th

Revision 1.23  2006/12/20 10:50:01  arekm
- rel 0.3

Revision 1.22  2006/12/07 23:38:46  arekm
- builds now

Revision 1.21  2006/12/02 18:46:38  psz
- up to 1.6.1
- rel 0.1 (not tested)

Revision 1.20  2006/08/09 06:47:12  arekm
- rel 2; rebuild

Revision 1.19  2006/07/21 10:45:07  psz
- up to 1.4.3
- rel 1

Revision 1.18  2006/03/08 18:15:10  psz
- up to 1.4.2
- rel 1

Revision 1.17  2006/01/31 20:07:01  qboosh
- pl

Revision 1.16  2006/01/31 19:41:02  arekm
- rel 2; add postgresql-module-pgadmin3 module

Revision 1.15  2005/12/21 16:52:11  zawadaa
- up to 1.4.1
- STBR

Revision 1.14  2005/11/16 06:46:18  qboosh
- sorted BRs

Revision 1.13  2005/11/13 12:59:50  arekm
- unneded setup options dropped

Revision 1.12  2005/11/12 18:41:16  arekm
- up to final 1.4.0 (by Patryk Szczygłowski)

Revision 1.11  2005/10/28 12:36:43  zawadaa
- up to 1.4-beta3; beta but very nice

Revision 1.10  2005/09/03 05:32:50  twittner
- added -am_no_debug.patch (removes `-g' from AM_*FLAGS)

Revision 1.9  2005/06/02 17:21:23  qboosh
- unified

Revision 1.8  2005/06/02 16:45:48  zawadaa
- up to 1.2.2
- STBR

Revision 1.7  2005/04/28 19:25:24  qwark
- added patch for wx-2.6

Revision 1.6  2005/04/01 05:20:29  arekm
- up to 1.2.1

Revision 1.5  2005/03/10 18:18:38  wolf
- pass correct wx-config

Revision 1.4  2005/01/24 15:57:18  zawadaa
- amd64 fix
- add .desktop, icon - needs review
- it works :-)

Revision 1.3  2005/01/20 19:03:16  qboosh
- pl, cleanup

Revision 1.2  2005/01/20 09:34:41  radzio
- remove Patch0 (which was not used)

Revision 1.1  2005/01/20 00:53:10  radzio
- great software
- need test
